import Config

secret_key_base = System.fetch_env!("SECRET_KEY_BASE")
application_port = System.fetch_env!("APP_PORT")
application_host = System.fetch_env!("APP_HOST")
application_scheme = System.fetch_env!("APP_SCHEME")

config :openpod, OpenpodWeb.Endpoint,
  url: [scheme: application_scheme, host: application_host, port: String.to_integer(application_port)],
  http: [:inet6, port: String.to_integer(application_port)],
  secret_key_base: secret_key_base,
  cache_static_manifest: "priv/static/cache_manifest.json"
